Bug 258326 - net/unfs3: Fix build with -fno-common (on FreeBSD 13/14)
Summary: net/unfs3: Fix build with -fno-common (on FreeBSD 13/14)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Yasuhiro Kimura
URL: https://unfs3.github.io/
Keywords: easy
Depends on:
Blocks:
 
Reported: 2021-09-06 22:50 UTC by Robert Clausecker
Modified: 2021-09-29 09:37 UTC (History)
3 users (show)

See Also:
yasu: merge-quarterly+


Attachments
net/unfs3: patch and unbreak with -fno-common (3.29 KB, patch)
2021-09-06 22:50 UTC, Robert Clausecker
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Clausecker 2021-09-06 22:50:27 UTC
Created attachment 227722 [details]
net/unfs3: patch and unbreak with -fno-common

This patch makes the port build on FreeBSD 13 and newer where -fno-common is the default.

While we are at it:

 - project has moved to github, fix WWW and MASTER_SITES
 - take over maintainership
 - clean up and reformat Makefile

Please MFH if possible.

Tested with Poudriere on armv7 arm64 FreeBSD 13.0-RELEASE.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-09-21 01:17:51 UTC
Comment on attachment 227722 [details]
net/unfs3: patch and unbreak with -fno-common

Approved by: portmgr (unmaintained port)
MFH: 2020Q3
Comment 2 Koichiro Iwao freebsd_committer 2021-09-28 09:55:29 UTC
yasu, can you take this? Create a Phabricator review before pushing.
Comment 3 Yasuhiro Kimura freebsd_committer 2021-09-29 08:14:38 UTC
(In reply to Koichiro Iwao from comment #2)

OK, I'll take it.
Comment 4 commit-hook freebsd_committer 2021-09-29 09:33:53 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4c35fa18e7434733681f5cc05337bf571241dbae

commit 4c35fa18e7434733681f5cc05337bf571241dbae
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-09-06 22:48:54 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-09-29 09:32:13 +0000

    net/unfs3: Fix build with -fno-common (FreeBSD 13 or later)

    * Update MASTER_SITES and WWW as project has moved to GitHub
    * Pass maintainership to submitter
    * Clean up and reformat Makefile

    PR:             258326
    Approved by:    meta (mentor)
    MFH:            2021Q3
    Differential Revision:  https://reviews.freebsd.org/D32220

 net/unfs3/Makefile                           | 23 +++++++++++++----------
 net/unfs3/files/patch-Config_exports.h (new) | 11 +++++++++++
 net/unfs3/files/patch-Config_exports.l (new) | 18 ++++++++++++++++++
 net/unfs3/pkg-descr                          |  2 +-
 4 files changed, 43 insertions(+), 11 deletions(-)
Comment 5 commit-hook freebsd_committer 2021-09-29 09:35:54 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a6dfa43d8f1d397cc649e85de336555c6b4967bb

commit a6dfa43d8f1d397cc649e85de336555c6b4967bb
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-09-06 22:48:54 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-09-29 09:34:29 +0000

    net/unfs3: Fix build with -fno-common (FreeBSD 13 or later)

    * Update MASTER_SITES and WWW as project has moved to GitHub
    * Pass maintainership to submitter
    * Clean up and reformat Makefile

    PR:             258326
    Approved by:    meta (mentor)
    MFH:            2021Q3
    Differential Revision:  https://reviews.freebsd.org/D32220

    (cherry picked from commit 4c35fa18e7434733681f5cc05337bf571241dbae)

 net/unfs3/Makefile                           | 23 +++++++++++++----------
 net/unfs3/files/patch-Config_exports.h (new) | 11 +++++++++++
 net/unfs3/files/patch-Config_exports.l (new) | 18 ++++++++++++++++++
 net/unfs3/pkg-descr                          |  2 +-
 4 files changed, 43 insertions(+), 11 deletions(-)
Comment 6 Yasuhiro Kimura freebsd_committer 2021-09-29 09:37:33 UTC
Committed to main and MFHed to 2021Q3. Thanks!